#!/usr/bin/env bash
#SBATCH -N 1
#SBATCH -D .
#SBATCH --output=%j.out
#SBATCH --error=%j.err
##SBATCH --time=2-00:00:00  # 2天
#SBATCH --ntasks=36
#这个参数，测试发现不能使用，否则会导致如下的现象：所有的job显示为R，但是实际上一直不动。
##SBATCH --cpus-per-task=1
#如果不指定内存大小，则会使用所有内存做为job的最小内存需求量，从而导致后续job等待。
# 可以使用下面两种方式设定内存用量：
#SBATCH --mem=64G  # 你可以根据实际需求调整内存大小
##SBATCH --mem-per-cpu=200M   # 每个CPU 200MB内存
# Check with:
#$ scontrol show job 30|grep -i mem

echo '#######################################################'
echo "date                    = $(date)" 
echo "hostname                = $(hostname -s)"
echo "pwd                     = $(pwd)"
echo "sbatch                  = $(which sbatch | xargs realpath -e)"
echo ""
echo "WORK_DIR                = $WORK_DIR"
echo "SLURM_SUBMIT_DIR        = $SLURM_SUBMIT_DIR"
echo "SLURM_JOB_NUM_NODES     = $SLURM_JOB_NUM_NODES"
echo "SLURM_NTASKS            = $SLURM_NTASKS"
echo "SLURM_NTASKS_PER_NODE   = $SLURM_NTASKS_PER_NODE"
echo "SLURM_CPUS_PER_TASK     = $SLURM_CPUS_PER_TASK"
echo "SLURM_JOBID             = $SLURM_JOBID"
echo "SLURM_JOB_NODELIST      = $SLURM_JOB_NODELIST"
echo "SLURM_NNODES            = $SLURM_NNODES"
echo "SLURMTMPDIR             = $SLURMTMPDIR"
echo '#######################################################'
echo ""

# Load required modules
module purge > /dev/null 2>&1
module load vasp


# Load required modules
#source /opt/intel/oneapi/setvars.sh

# Set stack size to unlimited
ulimit -s unlimited

# Run the job
mpirun vasp_std


